API referenceVideos
Get a video
GET
/videos/{videoId}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
videoId*string
Length
1 <= length <= 256Response Body
application/json
curl -X GET "https://example.com/videos/string"{ "videoId": "string", "title": "string", "platform": "youtube", "format": "video", "thumbnailUrl": "string", "publishedAt": "string", "durationSeconds": 0, "viewCount": 0, "includesPaidPromotionFlag": true, "isLiveContent": true, "processingRequestedAt": "string", "processingState": "not-processed", "hasTranscript": true, "channelId": "string", "channelTitle": "string", "channelHandle": "string", "channelAvatarUrl": "string", "description": "string", "uploadDate": "string", "category": "string", "hasCaptions": true, "isPrivate": true, "isUnlisted": true, "isMemberOnly": true, "defaultVideoLanguageCode": "string", "aiSummary": "string", "keywords": [ "string" ], "sponsorships": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "Integration", "detectedAt": "string", "brandId": "0e9bcbb3-096e-49f9-aeea-7a13a201eff5", "brandName": "string", "brandDomain": "string", "domainWasResearched": true } ]}